org.apache.sysds.runtime.iogen

## Class MatrixGenerateReader

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.iogen.MatrixGenerateReader

Direct Known Subclasses:
  MatrixGenerateReader.MatrixReaderRowIrregular, MatrixGenerateReader.MatrixReaderRowRegularColIrregular, MatrixGenerateReader.MatrixReaderRowRegularColRegular

    public abstract class MatrixGenerateReader
    extends MatrixReader

### Nested Class Summary

Nested Classes
`static class` `MatrixGenerateReader.MatrixReaderRowIrregular`
`static class` `MatrixGenerateReader.MatrixReaderRowRegularColIrregular`
`static class` `MatrixGenerateReader.MatrixReaderRowRegularColRegular`

### Constructor Summary

Constructors
Constructor and Description
`MatrixGenerateReader(CustomProperties _props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `readMatrixFromHDFS(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock` `readMatrixFromInputStream(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixGenerateReader

    public MatrixGenerateReader(CustomProperties _props)

### Method Detail

#### readMatrixFromHDFS

    public MatrixBlock readMatrixFromHDFS(String fname,
                                          long rlen,
                                          long clen,
                                          int blen,
                                          long estnnz)
                                   throws IOException,
                                          DMLRuntimeException

Specified by:
  `readMatrixFromHDFS` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromInputStream

    public MatrixBlock readMatrixFromInputStream(InputStream is,
                                                 long rlen,
                                                 long clen,
                                                 int blen,
                                                 long estnnz)
                                          throws IOException,
                                                 DMLRuntimeException

Specified by:
  `readMatrixFromInputStream` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`